var wa = null;

var C_WA_SCHEME = "wa://";


/*------------------------------------------------------------------------------
 |  初始化
 |
 ------------------------------------------------------------------------------*/
function iniWa(arg){
    wa = new Wa(arg);
    //调用启动函数
    if (isExitsFunction("startWa")) {
        startWa({left:"xx",top:"aaa",width:3,height:4});
    }
}

function startWa(a){
//    alert(a.leftx);
}



/*------------------------------------------------------------------------------
 |  Wa对象
 |
 ------------------------------------------------------------------------------*/
function Wa(arg){
    //设备名称  iphone或者android
    this.deviceName = "";
    //设备版本号 eg:8.3
    this.deviceVersion = "";
    //设备类型 eg:iphone7,1
    this.deviceType = "";
    //设备唯一标志
    this.deviceNumber = "";
    //屏幕宽度
    this.screenWidth = "";
    //屏幕高度
    this.screenHeight = "";
    //软件版本
    this.appVersion = "";
    //城市id
    this.cityId = "";
    //经度
    this.lon = "";
    //纬度
    this.lat = "";
    //渠道号
    this.sellChannelNumber = "";
    //是否有wifi
    this.isWifi = "";
    //用户token
    this.userToken = "";
    //校验码
    this.verifyCode = "";
    //页面参数
    this.pageParam = "";
    
    //初始化参数
    this.iniObj(arg);
}

Wa.prototype.iniObj = function (obj) {
    if (obj==undefined) obj={};
    //设备名称  iphone或者android
    if (obj.deviceName!=undefined) {
        this.deviceName = obj.deviceName;
    }
    //设备版本号 eg:8.3
    if (obj.deviceVersion!=undefined) {
        this.deviceVersion = obj.deviceVersion;
    }
    //设备类型 eg:iphone7,1
    if (obj.deviceType!=undefined) {
        this.deviceType = obj.deviceType;
    }
    //设备唯一标志
    if (obj.deviceNumber!=undefined) {
        this.deviceNumber = obj.deviceNumber;
    }
    //屏幕宽度
    if (obj.screenWidth!=undefined) {
        this.screenWidth = obj.screenWidth;
    }
    //屏幕高度
    if (obj.screenHeight!=undefined) {
        this.screenHeight = obj.screenHeight;
    }
    //软件版本
    if (obj.appVersion!=undefined) {
        this.appVersion = obj.appVersion;
    }
    //城市id
    if (obj.cityId!=undefined) {
        this.cityId = obj.cityId;
    }
    //经度
    if (obj.lon!=undefined) {
        this.lon = obj.lon;
    }
    //纬度
    if (obj.lat!=undefined) {
        this.lat = obj.lat;
    }
    //渠道号
    if (obj.sellChannelNumber!=undefined) {
        this.sellChannelNumber = obj.sellChannelNumber;
    }
    //是否有wifi
    if (obj.isWifi!=undefined) {
        this.isWifi = obj.isWifi;
    }
    //用户token
    if (obj.userToken!=undefined) {
        this.userToken = obj.userToken;
    }
    //校验码
    if (obj.verifyCode!=undefined) {
        this.verifyCode = obj.verifyCode;
    }
    //页面参数
    if (obj.pageParam!=undefined) {
        this.pageParam = obj.pageParam;
    }
}


//页面返回
Wa.prototype.navBack = function (obj) {
    if (obj==undefined) obj={};
    var navStyle = "default";
    var param = "";
    //navStyle
    if (obj.navStyle!=undefined) {
        navStyle = obj.navStyle;
    }
    //param
    if (obj.param!=undefined) {
        param = obj.param;
    }
    //跳转
    var jo = {
        navStyle:navStyle,
        param:param
    };
    var url = C_WA_SCHEME+"navBack/"+urlEncode(JSON.stringify(jo));
    window.location.href = url;
}

//上传图片
Wa.prototype.uploadPic = function (obj) {
    if (obj==undefined) obj={};
    var uuid = "";
    var selectType = "default";
    var maxSelectPicNum = "";
    //uuid
    if (obj.uuid!=undefined) {
        uuid = obj.uuid;
    }
    //selectType
    if (obj.selectType!=undefined) {
        selectType = obj.selectType;
    }
    //maxSelectPicNum
    if (obj.maxSelectPicNum!=undefined) {
        maxSelectPicNum = obj.maxSelectPicNum;
    }
    //跳转
    var jo = {
        uuid:uuid,
        selectType:selectType,
        maxSelectPicNum:maxSelectPicNum
    };
    var url = C_WA_SCHEME+"uploadPic/"+urlEncode(JSON.stringify(jo));
    window.location.href = url;
}



/*------------------------------------------------------------------------------
 |  其他
 |
 ------------------------------------------------------------------------------*/
//判断函数是否存在
function isExitsFunction(funcName) {
    try {
        if (typeof(eval(funcName)) == "function") {
            return true;
        }
    } catch(e) {
    }
    return false;
}

function urlEncode(str) {
    str = (str + '').toString();
    return encodeURIComponent(str).replace(/!/g, '%21').replace(/'/g, '%27').replace(/\(/g, '%28').
                                                                replace(/\)/g, '%29').replace(/\*/g, '%2A').replace(/%20/g, '+');
}




